﻿# -*- coding: utf-8 -*-
#*******************************************************************************
#**  This file is part of HgWeb Manager.                                     ***
#**                                                                          ***
#**  Copyright (C) 2014                                                      ***
#**  CodeGNU Solutions <Licensing _AT_ CodeGNU _DOT_ com>                    ***
#**                                                                          ***
#**  This program is free software: you can redistribute it and/or modify it ***
#**  under the terms of the GNU Affero General Public License as published   ***
#**  by the Free Software Foundation, either version 3 of the License, or    ***
#**  (at your option) any later version.                                     ***
#**                                                                          ***
#**  This program is distributed in the hope that it will be useful, but     ***
#**  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
#**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
#**  See the GNU Affero General Public License for more details.             ***
#**                                                                          ***
#**  You should have received a copy of the GNU Affero General Public License***
#**  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
#*******************************************************************************

class Manager(object):
	""" Manages the configurations for HgWebManager """

	# The path to the hg command.
	HgCommand = None
	RepositoryBase = None
	HgWebPath = None
	HgUser = None

	def __init__(self):
		""" TODO: Loads the values from the configuration file."""
		self.HgUser = "hg"
		self.HgCommand = "/usr/bin/hg"
		self.RepositoryBase = "/var/hg/repos"
		self.HgWebPath = "/var/www/hgweb"
